MFC025 — Gerenciamento de Cheques
Fonte
- Source:
source/MFC025/
Objetivo
O módulo MFC025 - Gerenciamento de Cheques é responsável pelo controle completo do ciclo de vida dos cheques recebidos pela empresa. Ele centraliza todas as operações relacionadas a cheques, desde a consulta inicial até as movimentações de compensação, devolução, reapresentação, custódia e alteração de cheques devolvidos.
Este módulo resolve o problema de gestão de cheques recebidos, permitindo que o setor financeiro acompanhe o status de cada cheque, realize operações em lote (marcando múltiplos cheques), registre o histórico completo de movimentações e efetue estornos quando necessário. Cada operação é registrada na tabela HISTORICOCHEQUE, garantindo rastreabilidade total.
É utilizado principalmente pelos operadores de caixa e pelo departamento financeiro. Através de uma interface com código de cores diferenciado por status (compensado, devolvido, reapresentado, etc.), o usuário consegue visualizar rapidamente a situação de cada cheque. O módulo também oferece a possibilidade de liquidar cheques pendentes diretamente durante as operações de compensação e reapresentação.
O MFC025 integra-se profundamente com o sistema de contas a receber, movimento de caixa e processo de liquidação, sendo essencial para empresas que trabalham com recebimento via cheques e precisam de controle rigoroso sobre esses títulos.
Funcionalidades
- Consulta de Cheques
- Compensação de Cheques
- Devolução de Cheques
- Reapresentação de Cheques
- Devolução após Reapresentação
- Alteração de Cheques Devolvidos
- Custódia de Cheques
- Estorno de Movimentação
- Impressão de Demonstrativo
Mensagens exibidas
Levantadas de source/MFC025/ pela camada 0 (commit 96fc51e236).
| Código | Tipo | Mensagem |
|---|---|---|
| C-0045 | Confirmação | Deseja Excluir o Registro? |
| W-1590 | Aviso | O usuário não possui acesso a tela Consulta Contas / Cheques / Adiantamentos! [CFC001] |
Mais 54 mensagens com texto literal no código: MFC025.
Parâmetros lidos
Campos PARM* lidos via values[] em source/MFC025/ (commit 96fc51e236).
| Parâmetro | Tabela |
|---|---|
| ST_ALTERA_DT_MFC004 | PARMFINANC |
| ST_PERMITEDEVCHEQUEPEND | PARMFINANC |
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CHEQUE | INSERT, SELECT, UPDATE |
| CONTAS | SELECT, UPDATE |
| FORMAPAGTO | DELETE, INSERT, SELECT, UPDATE |
| HISTORICOCHEQUE | INSERT, SELECT, UPDATE |
| PESSOA | DELETE, INSERT, SELECT, UPDATE |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| BANCO | SELECT |
| CONTASHISTORICO | SELECT |
| EMPRESA | SELECT |
| HISTORICO | SELECT |
| ITEM | SELECT |
| MOTIVO | SELECT |
| MOVTOCAIXA | SELECT |
| MOVTOPROCESSO | SELECT |
| PARMFATUR | SELECT |
| PARMFINANC | SELECT |
| PARMSALDO | SELECT |
| PARMUSUARIO | SELECT |
| PROCESSO | SELECT |
| TIPOCONTA | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| CANCELA_CONTAS | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), BOLETOIMPRESSO (INSERT), CHEQUE (SELECT), CODRECEITA (SELECT), COMPLEMENTOLEITE (UPDATE) +70 |
| CONTROLE_CAIXA | CAIXA (SELECT), PARMFINANC (SELECT), PARMUSUARIO (SELECT) |
| ESTORNA_MOVTOCAIXA | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), BOLETOIMPRESSO (INSERT), CHEQUE (SELECT), CODRECEITA (SELECT), COMPLEMENTOLEITE (UPDATE) +70 |
| ESTORNA_PROCESSO | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), BOLETOIMPRESSO (INSERT), CHEQUE (SELECT), CODRECEITA (SELECT), COMPLEMENTOLEITE (UPDATE) +70 |
| EXECUTA_PROCESSO | AGENCIA (SELECT), AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), AVISOSCPC (INSERT), BANCO (SELECT), CHEQUE (SELECT) +63 |
| GRAVA_CONTAS | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), BOLETO (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONDPARCELA (SELECT) +64 |
| GRAVA_MOVTOCAIXA | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONTAS (SELECT), CONTASCTB (DELETE/INSERT/SELECT) +56 |
| GRAVA_MOVTOCAIXAINDIVIDUAL | CONTAS (SELECT), CONTASHISTORICO (SELECT), HISTORICO (SELECT), MOVTOCAIXA (INSERT/UPDATE), MOVTOPROCESSO (SELECT), PARMFINANC (SELECT) +3 |
| GRAVA_MOVTOPROCESSO | CONTAS (SELECT), CONTASHISTORICO (SELECT), HISTORICO (SELECT), MOVTOPROCESSO (INSERT/SELECT), PARMFINANC (SELECT), PROCESSO (SELECT/UPDATE) |
| GRAVA_PROCESSO | PROCESSO (INSERT), SEQUENCIA (SELECT/UPDATE), SESSAO (SELECT) |
| RETORNA_COMPLEMENTO | CONTAS (SELECT), CONTASHISTORICO (SELECT), HISTORICO (SELECT), MOVTOCAIXA (SELECT), PARMCOMPLCAIXA (SELECT), PARMFINANC (SELECT) +3 |
| RETORNA_HISTORICOCHEQUE | CONTAS (SELECT), HISTORICOCHEQUE (SELECT) |
| RETORNA_MOVTOCAIXAMFC025 | CONTAS (SELECT), MOVTOCAIXA (SELECT) |
| VIEW_PARMSALDO | EMPRESA (SELECT), PARMFINANC (SELECT), PARMSALDO (SELECT), SESSAO (INSERT/SELECT), USUARIOCONTASALDO (SELECT) |
| VIEW_PLANOCONTAS | CENTROCUSTO (SELECT), CONTASPESSOA (SELECT), PARMCONTABIL (SELECT), PARMSISTEMA (SELECT), PLANOCONTAS (SELECT), PLANOEMPRESA (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| AJUSTEFISCALITEMNOTA | DELETE, INSERT, SELECT |
| ALIQUOTA | SELECT |
| AVISOSCPC | INSERT |
| BANCO | SELECT |
| BOLETO | SELECT |
| BOLETOIMPRESSO | INSERT |
| CAIXA | SELECT |
| CENTROCUSTO | SELECT |
| CHEQUE | SELECT |
| CODRECEITA | SELECT |
| COMISSAOCONTAS | INSERT |
| COMPLEMENTOLEITE | UPDATE |
| CONCILIACAO | SELECT |
| CONDPAGTO | SELECT |
| CONDPARCELA | SELECT |
| CONTAS | INSERT, SELECT, UPDATE |
| CONTASBLOQFINANC | SELECT |
| CONTASCTB | DELETE, INSERT, SELECT |
| CONTASHISTORICO | INSERT, SELECT |
| ... | +76 tabelas |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |